<?php

namespace App\Filament\Resources\HeaderResource\Pages;

use App\Filament\Resources\HeaderResource;
use Filament\Actions;
use Filament\Resources\Pages\EditRecord;
use Illuminate\Support\Facades\Gate;
class EditHeader extends EditRecord
{
    protected static string $resource = HeaderResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\DeleteAction::make()
                ->visible(fn () => Gate::allows('delete header')),
            Actions\ForceDeleteAction::make()
                ->visible(fn () => Gate::allows('force delete header')),
            Actions\RestoreAction::make()
                ->visible(fn () => Gate::allows('restore header')),
        ];
    }
}